BSIObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.bsi

## Interface BSIObjectIdentifiers

-     public interface BSIObjectIdentifiers

  See https://www.bsi.bund.de/cae/servlet/contentblob/471398/publicationFile/30615/BSI-TR-03111_pdf.pdf

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `algorithm` 0.4.0.127.0.7.1
    `static ASN1ObjectIdentifier` | `bsi_de`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_RIPEMD160`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA1`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA224`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA256`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA3_224`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA3_256`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA3_384`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA3_512`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA384`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_SHA512`
    `static ASN1ObjectIdentifier` | `ecdsa_plain_signatures`
    `static ASN1ObjectIdentifier` | `ecka_eg`
    `static ASN1ObjectIdentifier` | `ecka_eg_SessionKDF` Key Derivation Function for Session Keys
    `static ASN1ObjectIdentifier` | `ecka_eg_SessionKDF_3DES`
    `static ASN1ObjectIdentifier` | `ecka_eg_SessionKDF_AES128`
    `static ASN1ObjectIdentifier` | `ecka_eg_SessionKDF_AES192`
    `static ASN1ObjectIdentifier` | `ecka_eg_SessionKDF_AES256`
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 OID: 0.4.0.127.0.7.1.1.5.1.1
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_RIPEMD160` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function RIPEMD160 OID: 0.4.0.127.0.7.1.1.5.1.1.6
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_SHA1` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA-1 OID: 0.4.0.127.0.7.1.1.5.1.1.1
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_SHA224` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA224 OID: 0.4.0.127.0.7.1.1.5.1.1.2
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_SHA256` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA256 OID: 0.4.0.127.0.7.1.1.5.1.1.3
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_SHA384` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA384 OID: 0.4.0.127.0.7.1.1.5.1.1.4
    `static ASN1ObjectIdentifier` | `ecka_eg_X963kdf_SHA512` ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA512 OID: 0.4.0.127.0.7.1.1.5.1.1.5
    `static ASN1ObjectIdentifier` | `id_ecc`

- - ### Field Detail

    - #### bsi_de

          static final ASN1ObjectIdentifier bsi_de

    - #### id_ecc

          static final ASN1ObjectIdentifier id_ecc

    - #### ecdsa_plain_signatures

          static final ASN1ObjectIdentifier ecdsa_plain_signatures

    - #### ecdsa_plain_SHA1

          static final ASN1ObjectIdentifier ecdsa_plain_SHA1

    - #### ecdsa_plain_SHA224

          static final ASN1ObjectIdentifier ecdsa_plain_SHA224

    - #### ecdsa_plain_SHA256

          static final ASN1ObjectIdentifier ecdsa_plain_SHA256

    - #### ecdsa_plain_SHA384

          static final ASN1ObjectIdentifier ecdsa_plain_SHA384

    - #### ecdsa_plain_SHA512

          static final ASN1ObjectIdentifier ecdsa_plain_SHA512

    - #### ecdsa_plain_RIPEMD160

          static final ASN1ObjectIdentifier ecdsa_plain_RIPEMD160

    - #### ecdsa_plain_SHA3_224

          static final ASN1ObjectIdentifier ecdsa_plain_SHA3_224

    - #### ecdsa_plain_SHA3_256

          static final ASN1ObjectIdentifier ecdsa_plain_SHA3_256

    - #### ecdsa_plain_SHA3_384

          static final ASN1ObjectIdentifier ecdsa_plain_SHA3_384

    - #### ecdsa_plain_SHA3_512

          static final ASN1ObjectIdentifier ecdsa_plain_SHA3_512

    - #### algorithm

          static final ASN1ObjectIdentifier algorithm

      0.4.0.127.0.7.1

    - #### ecka_eg

          static final ASN1ObjectIdentifier ecka_eg

    - #### ecka_eg_X963kdf

          static final ASN1ObjectIdentifier ecka_eg_X963kdf

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 OID: 0.4.0.127.0.7.1.1.5.1.1

    - #### ecka_eg_X963kdf_SHA1

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_SHA1

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA-1 OID: 0.4.0.127.0.7.1.1.5.1.1.1

    - #### ecka_eg_X963kdf_SHA224

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_SHA224

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA224 OID: 0.4.0.127.0.7.1.1.5.1.1.2

    - #### ecka_eg_X963kdf_SHA256

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_SHA256

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA256 OID: 0.4.0.127.0.7.1.1.5.1.1.3

    - #### ecka_eg_X963kdf_SHA384

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_SHA384

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA384 OID: 0.4.0.127.0.7.1.1.5.1.1.4

    - #### ecka_eg_X963kdf_SHA512

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_SHA512

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function SHA512 OID: 0.4.0.127.0.7.1.1.5.1.1.5

    - #### ecka_eg_X963kdf_RIPEMD160

          static final ASN1ObjectIdentifier ecka_eg_X963kdf_RIPEMD160

      ElGamal Elliptic Curve Key Agreement and Key Derivation according to X963 with hash function RIPEMD160 OID: 0.4.0.127.0.7.1.1.5.1.1.6

    - #### ecka_eg_SessionKDF

          static final ASN1ObjectIdentifier ecka_eg_SessionKDF

      Key Derivation Function for Session Keys

    - #### ecka_eg_SessionKDF_3DES

          static final ASN1ObjectIdentifier ecka_eg_SessionKDF_3DES

    - #### ecka_eg_SessionKDF_AES128

          static final ASN1ObjectIdentifier ecka_eg_SessionKDF_AES128

    - #### ecka_eg_SessionKDF_AES192

          static final ASN1ObjectIdentifier ecka_eg_SessionKDF_AES192

    - #### ecka_eg_SessionKDF_AES256

          static final ASN1ObjectIdentifier ecka_eg_SessionKDF_AES256